Help on the configuration of your Internet Explorer browser for TLS 1.2

Important: Your browser may need a configuration change in order to continue accessing this web site.

TLS 1.2 will be required by this web site beginning January 31, 2016.

Below will determine your TLS 1.2 status:

For Internet Explorer browsers on Windows Vista and 7 operating systems or later it is recommended that you verify your advanced internet options settings by following these tasks:

  1. Open control panel through the start menu
  2. Select Internet options
  3. The Internet Properties window will appear and select the advance tab
  4. locate "Use TLS 1.2" option in the settings listing and select the check box
  5. press the "OK" button.

If you are having difficulty in enabling this option, it is recommended you contact your Information Technologies staff